# This is the python configuration for local development.
<InstanceConfig>
    type = file
    <arguments>
        directory = /etc/zaaksysteem/customer.d
    </arguments>
</IntanceConfig>

<redis>
  <session>
    host = redis
    port = 6379
  </session>
</redis>

#<oidc>
#  domain = <auth0 tenant>
#  client_id = <auth0 application client id>
#  client_secret = <auth0 application client secret>
#  audience = <auth0 the unique identifier of the API>
#</oidc>

<statsd>
    host = statsd
    port = 8125
</statsd>

<amqp>
  url = 'http://message-queue:5672'

  <publish_settings>
    exchange = "minty_exchange"
  </publish_settings>

  <consumer_settings>
    routing_keys = "zsnl.v2.*.*.*"
    queue_name = "legacy_logging_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    consumer_class = "zsnl_amqp_consumers.consumers.LegacyLoggingConsumer"
    number_of_channels = 1
# No longer in use; for auto-retry (buggy: duplicates messages when rabbitmq connection is reset)
#    <dead_letter_exchange>
#      exchange = "minty_exchange_retry"
#      retry_time_ms = 60000
#    </dead_letter_exchange>
  </consumer_settings>

  <consumer_settings>
    routing_keys = "zsnl.v2.zsnl_communication_http_domains_communication.ExternalMessage.ExternalMessageCreated"
    routing_keys = "zsnl.v2.zsnl_domains_document.Document.DocumentCreated"

    queue_name = "email_notifications"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    consumer_class = "zsnl_amqp_consumers.notifications.consumer.EmailNotificationConsumer"
    number_of_channels = 1
  </consumer_settings>

  <CommunicationConsumer>
    queue_name = "communication_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </CommunicationConsumer>

  <CaseEventsConsumer>
    queue_name = "case_management_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </CaseEventsConsumer>

  <DocumentsEventsConsumer>
    queue_name = "document_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </DocumentsEventsConsumer>

  <GeoConsumer>
    queue_name = "geo_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </GeoConsumer>
  
  <JobsConsumer>
    queue_name = "jobs_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </JobsConsumer>

  <DocumentProcessingConsumer>
    queue_name = "document_processing_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </DocumentProcessingConsumer>

  <IntegrationsConsumer>
    queue_name = "integrations_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </IntegrationsConsumer>

  <NotificationConsumer>
    queue_name = "notification_queue"
    exchange  =  "minty_exchange"
    qos_prefetching =  1
    number_of_channels = 1
  </NotificationConsumer>

</amqp>


<filestore>
    # Required:
    name = minio
    bucket = dev
    type = s3

    # one of 'auto', 'virtual', 'path'; defaults to "auto"
    addressing_style = path

    # Optional:
    endpoint_url = https://minio.dev.zaaksysteem.nl
    #region_name = xxx

    access_id = AKIAIOSFODNN7EXAMPLE
    access_key = wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY
</filestore>

<email>
    smarthost_hostname = smtpd
    smarthost_port = 1025
    dkim_selector = configfile
    dkim_private_key = /etc/dkim.key
</email>

<rate_limits>
    # Number of times per minute this action can be performed on an environment.
    # 
    # "Query events" sent when manually requesting a thumbnail/preview
    query_event:zsnl_domains_document:Document:PreviewRequested = 1
    query_event:zsnl_domains_document:Document:ThumbnailRequested = 1

    command:set_search_index = 20
    command:create_thumbnail = 20
    command:create_preview = 20
</rate_limits>

enable_v2_case_eligibility = True
zs_platform_key = abcdefghijklmnopqrstuwv1234567890

converter_base_url = http://http-documentconverter:5032
virus_scanner_url = http://http-virusscanner:5000/filestore

zoho_api_key = zohokeyexample
zoho_write_base_url = https://api.office-integrator.eu/writer/officeapi/v1/document

tika_url = http://tika:9998

wopi_api_key = example_api_key
wopi_base_url = https://wopi.development.zaaksysteem.nl

pdf_host = zaaksysteem-dev.bridge-to-knowledge.nl
pdf_modelid = 1
pdf_user = pdf_user
pdf_password = pdf_password
